Projets/Projet Web ( Laravel PHP )/myphonebook/routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\EntrepriseController;
use App\Http\Controllers\CollaborateurController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/menu', function () {
    return view('greeting');
});

Route::get('/dashboard', function () {
    return view('dashboard');
})->middleware(['auth'])->name('dashboard');



Route::get('/test', function () {
    return 'test';
});

Route::resource('entreprise', EntrepriseController::class);
Route::resource('collab', CollaborateurController::class);

Route::get('/admin',function(){
    if (! Gate::allows('access-admin')) {
        return 'non';
    }
    return 'admin';
});

require __DIR__.'/auth.php';

Projets/Projet Web ( Laravel PHP )/myphonebook/app/Models/Collaborateur.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class collaborateur extends Model
{
    use HasFactory;
    protected $fillable=[
        'civility',
        'nom',
        'prenom',
        'rue',
        'code_postal',
        'ville',
        'tel',
        'mail',
        'entreprise'
    ];

    public function entreprise(){
        return $this->belongsTo(Entreprise::class,'entreprise_id');
    }




    protected $table = 'collaborateurs';
}

Projets/Projet Web ( Laravel PHP )/myphonebook/app/Http/Controllers/CollaborateurController.php
<?php

namespace App\Http\Controllers;

use App\Models\Collaborateur;
use App\Models\Entreprise;
use Illuminate\Http\Request;

class CollaborateurController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    { 
        $this->authorize('viewAny', Collaborateur::class);
        $collaborateurs = Collaborateur::all();
        $entreprises = Entreprise::all();
        //dd($entreprises);
         return view('collaborateur.index',[
             'collaborateurs'=>$collaborateurs,
             'entreprises'=>$entreprises
         ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $this->authorize('create', Collaborateur::class);
        return view('collaborateur.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->authorize('create', Collaborateur::class);
        $validated = $request->validate([
            'civility' => 'required',
            'nom' => 'required',
            'prenom' => 'required',
            'rue' => 'required',
            'code_postal' => 'required',
            'ville' => 'required',
            'tel' => '',
            'mail' => 'required',
            'entreprise' => 'required',
        ]);

        $collaborateur = new Collaborateur;
        
        $collaborateur->civility = $validated["civility"];
        $collaborateur->nom = $validated["nom"];
        $collaborateur->prenom = $validated["prenom"];
        $collaborateur->rue = $validated["rue"];
        $collaborateur->code_postal = $validated["code_postal"];
        $collaborateur->ville = $validated["ville"];
        $collaborateur->tel = $validated["tel"];
        $collaborateur->mail = $validated["mail"];
        $collaborateur->entreprise_id = $validated["entreprise"];
        
        $collaborateur->save();
        return redirect()->route('collab.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $this->authorize('viewAny', Collaborateur::class);
        $collaborateur = Collaborateur::find($id);
        return view('collaborateur.show',
        ['collaborateur'=>$collaborateur]);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Collaborateur $collab)
    {
        $this->authorize('create', Collaborateur::class);
       return view('collaborateur.edit',
       ['collaborateur'=>$collab]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Collaborateur $collab)
    {
        $this->authorize('create', Collaborateur::class);
        $validated = $request->validate([
            'civility' => 'required',
            'nom' => 'required',
            'prenom' => 'required',
            'rue' => 'required',
            'code_postal' => 'required',
            'ville' => 'required',
            'tel' => '',
            'mail' => 'required',
            'entreprise' => 'required',
        ]);
        $collab->civility = $validated["civility"];
        $collab->nom = $validated["nom"];
        $collab->prenom = $validated["prenom"];
        $collab->rue = $validated["rue"];
        $collab->code_postal = $validated["code_postal"];
        $collab->ville = $validated["ville"];
        $collab->tel = $validated["tel"];
        $collab->mail = $validated["mail"];
        $collab->entreprise_id = $validated["entreprise"];
        
        $collab->save();
        return redirect()->route('collab.index');
        //dd($validated);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Collaborateur $collab)
    {
        $this->authorize('delete', Collaborateur::class);
        $collab->delete();
        return redirect()->route('collab.index');
    }
}

Projets/Projet Web ( Laravel PHP )/myphonebook/resources/views/collaborateur/create.blade.php
@extends("layouts.default")

@section('main')
    <a href="http://127.0.0.1:8000/menu"><button>accueil</button></a>
    <a href="http://127.0.0.1:8000/entreprise"><button>entreprises</button></a>
    <a href="http://127.0.0.1:8000/collab"><button>collaborateurs</button></a>
    <form action="{{route('collab.store')}}" method="post">
    @csrf
        <label for="civility">Homme</label>
        <input type="radio" name="civility" value="homme">
        <label for="civility">Femme</label>
        <input type="radio"  name="civility" value="femme">
        <label for="civility">Non-Binaire</label>
        <input type="radio" name="civility" value="non-binaire">

        <input type="text" placeholder='nom' name="nom" required="required" > 

        <input type="text" placeholder='prenom' name="prenom" required="required" > 

        <input type="text" placeholder='rue' name="rue" required="required"> 

        <input type="text" minlength="5" maxlength="5" placeholder='code postal' name="code_postal" required="required" pattern="[0-9]*" >

        <input type="text" placeholder='ville' name="ville" required="required">

        <input type="text" placeholder='tel' name="tel" minlength="10" maxlength="10" pattern="[0-9]*"> 

        <input type="email" placeholder='mail' name="mail" required='requiered'> 

        <input type="number" placeholder='entreprise' name="entreprise" required="required" >

        <input type="submit" value="Ajouter" >
    </form>
    <a href="http://127.0.0.1:8000/collab"><button>liste des collaborateurs</button></a>
@endsection

Projets/Projet Web ( Laravel PHP )/myphonebook/resources/views/collaborateur/edit.blade.php
@extends("layouts.default")

@section('main')
<a href="http://127.0.0.1:8000/menu"><button>accueil</button></a>
<a href="http://127.0.0.1:8000/entreprise"><button>entreprises</button></a>
    <a href="http://127.0.0.1:8000/collab"><button>collaborateurs</button></a>
    <form action="{{route('collab.update',$collaborateur->id)}}" method="post">
        @csrf
        @method('PUT')
        <label for="civility">Homme</label>
        <input type="radio" id="homme" name="civility" value="homme">
        <label for="civility">Femme</label>
        <input type="radio" id="femme" name="civility" value="femme">
        <label for="civility">Non-Binaire</label>
        <input type="radio" id="nonbinaire" name="civility" value="nonbinaire">

        <input type="text" placeholder='nom' name="nom" required="required" value='{{$collaborateur->nom}}' > 

        <input type="text" placeholder='prenom' name="prenom" required="required" value='{{$collaborateur->prenom}}' > 

        <input type="text" placeholder='rue' name="rue" required="required" value='{{$collaborateur->rue}}'> 

        <input type="text" minlength="5" maxlength="5" placeholder='code postal' name="code_postal" required="required" pattern="[0-9]*" value='{{$collaborateur->code_postal}}' >

        <input type="text" placeholder='ville' name="ville" required="required" value='{{$collaborateur->ville}}'>

        <input type="text" placeholder='tel' name="tel" minlength="10" maxlength="10" pattern="[0-9]*" value='{{$collaborateur->tel}}'> 

        <input type="email" placeholder='mail' name="mail" required='requiered' value='{{$collaborateur->mail}}'> 

        <input type="number" placeholder='entreprise' name="entreprise" required="required" value='{{$collaborateur->entreprise_id}}' >

        <input type="submit" value="Modifier" >
    </form>
    <a href="http://127.0.0.1:8000/collab"><button>liste des collaborateurs</button></a>
@endsection

Projets/Projet Web ( Laravel PHP )/myphonebook/resources/views/collaborateur/index.blade.php
@extends("layouts.default")

@section('main')
    <a href="http://127.0.0.1:8000/menu"><button>accueil</button></a>
    <a href="http://127.0.0.1:8000/entreprise"><button>entreprises</button></a>
    <a href="http://127.0.0.1:8000/collab"><button>collaborateurs</button></a>
    <ul>
        <li class='entli'> nom</li>
        <li class='entli'> prenom</li>
        <li class='entli'>tel</li>
        <li class='entli'>mail</li>

        <li class='entli'>entreprise</li>
        <li class='entli'>tel_entreprise</li>
    </ul>
    @foreach($collaborateurs as $collaborateur)
    <ul>
        <li class='entli'> {{$collaborateur->nom}}</li>
        <li class='entli'> {{$collaborateur->prenom}}</li>
        <li class='entli'>0{{$collaborateur->tel}}</li>
        <li class='entli'> {{$collaborateur->mail}}</li>
        @foreach($entreprises as $entreprise)
            @if($entreprise->id === $collaborateur->entreprise_id)
                
                <li class='entli'>{{ $entreprise->nom }}</li>
                <li class='entli'>0{{ $entreprise->tel }}</li>
            @endif
        @endforeach
        <li class='entli'><a href="http://127.0.0.1:8000/collab/{{$collaborateur->id}}"><button>VOIR</button></a></li>
    </ul>
    @endforeach

    @can('create', $collaborateur)
    <a href="http://127.0.0.1:8000/collab/create"><button>ajouter un collaborateur</button></a>
    @endcan
@endsection

Projets/Projet Web ( Laravel PHP )/myphonebook/resources/views/collaborateur/show.blade.php
@extends("layouts.default")

@section('main')
<a href="http://127.0.0.1:8000/menu"><button>accueil</button></a>
<a href="http://127.0.0.1:8000/entreprise"><button>entreprises</button></a>
<a href="http://127.0.0.1:8000/collab"><button>collaborateurs</button></a>

    <ul>
        <li class='entli'> nom</li>
        <li class='entli'> prenom</li>
        <li class='entli'>tel</li>
        <li class='entli'>mail</li>
        <li class='entli'>entrepriseID</li>
    </ul>
    <ul>
        <li class='entli'> {{$collaborateur->nom}}</li>
        <li class='entli'> {{$collaborateur->prenom}}</li>
        <li class='entli'>0{{$collaborateur->tel}}</li>
        <li class='entli'> {{$collaborateur->mail}}</li>
        <li class='entli'> {{$collaborateur->entreprise_id}}</li>
    </ul>
    @can('create', $collaborateur)
    <a href="{{route('collab.edit',$collaborateur->id)}}"><button>Modifier</button></a>
    @endcan
    <div class='oui'>
        
    </div>
    @can('delete', $collaborateur)
    <form action="{{route('collab.destroy',$collaborateur->id)}}" method="post">
        @csrf
        @method('DELETE')
        <button type="submit">Supprimer</button>
    </form>
    @endcan
    <br>
    <a href="http://127.0.0.1:8000/collab"><button>liste des collaborateurs</button></a>

@endsection